| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwSPE.h File Reference

Header file for reading and writing SPE files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | SPEhead

## Macros
#define | SPESIZE 4100

## Functions
int | readSPE (Bimage *p, int readdata, int img_select)
| Reading a SPE image file format. More...
int | writeSPE (Bimage *p)
| Writing a SPE image file format. More...

## Detailed Description

Header file for reading and writing SPE files.

Author
  Bernard Heymann

Date
  Created: 20081105
  Modified: 20111217

      Format: SPE Princeton Instruments CCD image file format

Definition in file rwSPE.h.

## Macro Definition Documentation

## ◆ SPESIZE

#define SPESIZE 4100

Definition at line 13 of file rwSPE.h.

## Function Documentation

## ◆ readSPE()

int readSPE | ( | Bimage * | p,
|  | int | readdata,
|  | int | img_select
| ) |  |

Reading a SPE image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.
  img_select | image selection in multi-image file (-1 = all images).

Returns
  int error code (<0 means failure). A Princeton Instruments CCD image file format. Header size: 4100 bytes (fixed). File format extension: .SPE. Byte order determination: data type field. Data types: 0 = float, 1 = int, 2 = short, 3 = unsigned short, 4 = string/char, 5 = double, 6 = char, 7 = unsigned char/byte.

Definition at line 33 of file rwSPE.cpp.

## ◆ writeSPE()

int writeSPE | ( | Bimage * | p | ) |

Writing a SPE image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A Princeton Instruments CCD image file format.

Definition at line 119 of file rwSPE.cpp.